#!/usr/bin/perl
#  Copyright 2001-2011 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Date' => 'Date',
	   'Eoy' => 'Eoy',
	   'Main' => 'Main',
	   'Error' => 'Error',
	   'Fix' => 'Fix',
	   'Updated' => 'Updated',
	   'Dates' => 'Dates',
	   'All' => 'All',
	   'OK' => 'Ok',

	   );

my $self = 'fixdatenull.pl';

use DBI;
use CGI;

# Read Config variables
eval require "../../etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $q = new CGI;
print $q->header( -charset => $charset ); 
my %arr = $q->Vars;


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;


print "$doctype\n<html><head><title>$lex{Date} $lex{Fix}</title>
<link rel=\"stylesheet\" href=\"$css\" type=\"text/css\">\n";
print "$chartype\n</head><body>\n";
print "[ <a href=\"$homepage\">". $lex{Main}. "</a> |\n";
print "<a href=\"$eoypage\">". $lex{Eoy}. "</a> ]\n";

print "<center><h1>$lex{Date} $lex{Fix}</h1><hr width=\"30%\">\n";

print "<h3>$lex{Updated} $lex{Dates}</h3>\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";


$sth = $dbh->prepare("select id, date, desc1 from dates where dayfraction is NULL or dayfraction = ''");
if ($DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }
$sth->execute;

$sth1 = $dbh->prepare("update dates set dayfraction = 1 where id = ?");
my $first = 1;

while ( my ( $id, $date, $desc1 ) = $sth->fetchrow ) {
    print "<tr><td>$date - $desc1</td></tr>\n";

    $sth1->execute( $id );
    $first = 0;

}

if ( $first ) {
    print "<tr><td>$lex{All} $lex{Dates} $lex{OK}</td></tr>\n";
}

print "</table></center></body></html>\n";
