#! /usr/bin/perl

use DBI;

my %firstname = ();
my %lastname = ();

open(FN,"<firstname.txt");
while (<FN>) {
    chomp $_;
    $firstname{$_} = 1;
}
close FN;

open(LN,"<lastname.txt");
while (<LN>) {
    chomp $_;
    $lastname{$_} = 1;
}
close LN;

eval require "/opt/openadmin/global/global.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


# Sort School Databases
@dbase = sort keys %dbase;


# First create array of all grades from all schools.
foreach $database (@dbase) { #defined in global config file.
    $dsn = "DBI:mysql:$database";
    $dbh = DBI->connect($dsn,$guser,$gpassword);

    # Get Firstnames
    my $sth = $dbh->prepare("select distinct firstname from studentall 
      where firstname != '' and firstname is not null");
    $sth->execute;
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    while ( my $name = $sth->fetchrow ) {
	$name =~ s/(\w+)/\u\L$1/g;
	if ( $name =~ m/-/ ) { next;} # skip hyphenated name
	$firstname{$name} = 1;
    }
    

    # Get Lastnames
    my $sth = $dbh->prepare("select distinct lastname from studentall 
      where lastname != '' and lastname is not null");
    $sth->execute;
    if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr; }
    while ( my $name = $sth->fetchrow ) {
	$name =~ s/(\w+)/\u\L$1/g;
	if ( $name =~ m/-/ ) { next;} # skip hyphenated name
	$lastname{$name} = 1;
    }

} # End of database loop


# now write them back out.

open(FH,">firstname.txt");
foreach my $name ( sort keys %firstname ) {
    print FH "$name\n";
}


open(FH,">lastname.txt");
foreach my $name ( sort keys %lastname ) {
    print FH "$name\n";
}

print "Done!\n";
